WordPress Hotfix (3.0.5)

Wie ich soeben mitbekommen habe war Version 3.0.5 das letzte Update was die 3.0er-Serie bekommen hat.

Leider hat sich in dieser Version allerdings ein weiterer Fehler aufgetan. Die Entwickler haben einen Filter falsch zugewiesen. Der Fehler betrifft hauptsächlich die Kommentarfunktion

Sie haben deswegen ein Plugin erstellt was den Fehler behebt.Es heißt Hotfix und ist hier zu erhalten. Wer kein Plugin installieren will, kann einfach folgenden Code. In die functions.php seines Theme einfügen.

remove_filter( 'comment_text', 'wp_kses_data' );
if ( is_admin() )
	add_filter( 'comment_text', 'wp_kses_post' );

Dieses Snippet könnt ihr aber dann nach erscheinen von Version 3.1 entfernen dort ist der Fehler behoben. Das Plugin könnt ihr aktiviert lassen, denn wenn eine Version Fehler enthält werden sie darüber gefixt.

Ich bin Kevin, und schreibe hier über Themen die sich von CSS über Designs bis zur testgetriebenen Entwicklung mit PHP erstrecken. Ich arbeite in einer kleinen Firma als PHP-Entwickler und entwickle dort PHP Backends für verschiedene Projekte vorallem mit Laravel. Privat betreibe ich noch diesen Blog und notesafe.

Schreibe einen Kommentar